> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.runpayments.io/reference/authentication/refresh-api-keys/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.runpayments.io/_mcp/server. # Refresh API Keys POST https://javelin.runpayments.io/api/v1/api_keys/refresh Content-Type: application/json Refreshes existing API keys and returns new tokens Reference: https://docs.runpayments.io/reference/authentication/refresh-api-keys ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Body (application/json) This endpoint expects an object. - `token` (string, required) — Payments API Key - Provided by your Integration Lead or generated in Run Merchant. ## Response ### 200 API keys refreshed successfully - `api_key` (string, required) — New API key - `public_key` (string, required) — Public key (does not change with refresh) - `refresh_token` (string, required) — New refresh token - `api_key_expires_at` (integer, required) — Unix timestamp for API key expiration. - `refresh_token_expires_at` (integer, required) — Unix timestamp for Refresh token expiration. ## Errors ### 401 Unauthorized Error Unauthorized - `error` (string, optional) — Error code - `error_description` (string, optional) — Detailed error description ## Examples **Request** ```json { "token": "string" } ``` **Response** ```json { "api_key": "string", "public_key": "string", "refresh_token": "string", "api_key_expires_at": 1, "refresh_token_expires_at": 1 } ``` **SDK Code** ```python import requests url = "https://javelin.runpayments.io/api/v1/api_keys/refresh" payload = { "token": "string" } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://javelin.runpayments.io/api/v1/api_keys/refresh'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"token":"string"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://javelin.runpayments.io/api/v1/api_keys/refresh" payload := strings.NewReader("{\n \"token\": \"string\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://javelin.runpayments.io/api/v1/api_keys/refresh") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"token\": \"string\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://javelin.runpayments.io/api/v1/api_keys/refresh") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"token\": \"string\"\n}") .asString(); ``` ```php request('POST', 'https://javelin.runpayments.io/api/v1/api_keys/refresh', [ 'body' => '{ "token": "string" }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://javelin.runpayments.io/api/v1/api_keys/refresh"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"token\": \"string\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = ["token": "string"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://javelin.runpayments.io/api/v1/api_keys/refresh")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```